> For the complete documentation index, see [llms.txt](https://docs.wicle.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wicle.io/other/opt-out.md).

# オプトアウトの設定

### オプトアウトの実行 <a href="#execute-optout" id="execute-optout"></a>

オプトアウトするエンドユーザーブラウザ上で下記コードを実行してください。

```javascript
(function(){var el=document.createElement("script");el.src="https://medialize.github.io/URI.js/src/URI.min.js";el.onload=function(){var dm=new URI(location.href).domain();var dt=new Date();dt.setTime(dt.getTime()+(3600*24*1000*365*2));document.cookie="krt_oo=1;domain=."+dm+";expires="+dt.toGMTString()+";path=/";window.localStorage.setItem("krt___oo", JSON.stringify({val:1,expire:dt.getTime(),last:(new Date()).getTime()}));};document.body.appendChild(el);})();
```

<details>

<summary>オプトアウト用スクリプトは、全ページで実行する必要がありますか？</summary>

ドメインが同じでCookieが同一であれば、セッションが変わった場合や別ウィンドウになった場合でも、再度スクリプトを実行する必要はありません

</details>

## オプトアウトの解除 <a href="#cancel-optout" id="cancel-optout"></a>

解除は、下記コードを実行してください。

```javascript
(function(){var el=document.createElement("script");el.src="https://medialize.github.io/URI.js/src/URI.min.js";el.onload=function(){var expire=new Date(0);var dm=new URI(location.href).domain();document.cookie="krt_oo=;expires="+expire.toGMTString()+";path=/;domain=."+dm+";";window.localStorage.removeItem('krt___oo');};document.body.appendChild(el);})();
```

## エンドユーザーにオプトアウト方法を提示したい場合 <a href="#provide-optout-info" id="provide-optout-info"></a>

WicleのオプトアウトはKARTEのオプトアウトと同様の設定方法になります。

下記ページをご利用ください。

[オプトアウト設定方法](https://karte.io/optout/)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wicle.io/other/opt-out.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
